Package com.opensymphony.module.sitemesh.mapper

# Class FileDecoratorMapper

java.lang.Object
com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
com.opensymphony.module.sitemesh.mapper.FileDecoratorMapper

All Implemented Interfaces:
  `DecoratorMapper`

public class FileDecoratorMapper extends AbstractDecoratorMapper
The FileDecoratorMapper will treat the name of the decorator as a file-name to use (in the context of the web-app).

Version:
  $Revision: 1.3 $
Author:
  Joe Walnes, Mike Cannon-Brookes
See Also:
  - `DecoratorMapper`
  - `DefaultDecorator`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`pathNotAvailable`

### Fields inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

`config, parent`

## Constructor Summary

Constructors
Constructor
Description
`FileDecoratorMapper()`

## Method Summary

Modifier and Type
Method
Description
`Decorator`
`getNamedDecorator(javax.servlet.http.HttpServletRequest req, String name)`
Delegate to parent.

### Methods inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

`getDecorator, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pathNotAvailable

private boolean pathNotAvailable

## Constructor Details

### FileDecoratorMapper

public FileDecoratorMapper()

## Method Details

### getNamedDecorator

public Decorator getNamedDecorator(javax.servlet.http.HttpServletRequest req, String name)
Description copied from class: `AbstractDecoratorMapper`
Delegate to parent.

Specified by:
  `getNamedDecorator` in interface `DecoratorMapper`
Overrides:
  `getNamedDecorator` in class `AbstractDecoratorMapper`